include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### (executable)

tde_add_executable( smb4k_mount AUTOMOC
  SOURCES smb4k_mount.cpp
  DESTINATION ${BIN_INSTALL_DIR}
)

tde_add_executable( smb4k_umount AUTOMOC
  SOURCES smb4k_umount.cpp
  DESTINATION ${BIN_INSTALL_DIR}
)

tde_add_executable( smb4k_kill AUTOMOC
  SOURCES smb4k_kill.cpp
  DESTINATION ${BIN_INSTALL_DIR}
)

tde_add_executable( smb4k_cat  AUTOMOC
  SOURCES smb4k_cat.cpp
  DESTINATION ${BIN_INSTALL_DIR}
)

tde_add_executable( smb4k_mv AUTOMOC
  SOURCES smb4k_mv.cpp
  DESTINATION ${BIN_INSTALL_DIR}
)
